import {AnimalProducts} from "@/data/ItemsIDs";
import {AnimalAssets} from "@/data/Paths";

export default [
    {
        id: 1,
        name: 'Chicken',
        assets: {
            left: {
                idle: AnimalAssets+'chicken/idle_left.png',
                walk: AnimalAssets+'chicken/walk_left_1.png',
                walk2: AnimalAssets+'chicken/walk_left_2.png',
            },
            right: {
                idle: AnimalAssets+'chicken/idle_right.png',
                walk: AnimalAssets+'chicken/walk_right_1.png',
                walk2: AnimalAssets+'chicken/walk_right_2.png',
            }
        },
        production: {
            time: 10,
            item_id: AnimalProducts.WhiteEgg
        }
    }
]
