import {createApp} from 'vue'
import App from './App.vue'
import store from './store'
import './style/app.scss'
import router from './router'
import iziToast from "izitoast";

iziToast.settings({
    position: "topCenter",
    timeout: 1000
});

window.setBodyBackground = (assetUrl, backgroundSize) => {
    document.getElementsByTagName('body')[0].style.backgroundImage = 'url("'+assetUrl+'")'
    document.getElementsByTagName('body')[0].style.backgroundSize = backgroundSize ?? 'auto';
}

createApp(App).use(router).use(store).mount('#app')
