export class SeasonService {
    static getSeasonByWeek(week) {
        let mod = week % 4;

        switch (mod) {
            case 1:
                return Seasons.Spring;
            case 2:
                return Seasons.Summer;
            case 3:
                return Seasons.Fall;
            case 0:
            default:
                return Seasons.Winter;
        }
    }
}

export const Seasons = {
    Spring: 'Spring',
    Summer: 'Summer',
    Fall: 'Fall',
    Winter: 'Winter'
};
