import {Seasons, SeasonService} from "@/services/SeasonService";

test('expect week 1 to return season spring', () => {
    expect(SeasonService.getSeasonByWeek(1)).toBe(Seasons.Spring);
});

test('expect week 2 to return season summer', () => {
    expect(SeasonService.getSeasonByWeek(2)).toBe(Seasons.Summer);
});

test('expect week 3 to return season autumn', () => {
    expect(SeasonService.getSeasonByWeek(3)).toBe(Seasons.Fall);
});

test('expect week 4 to return season winter', () => {
    expect(SeasonService.getSeasonByWeek(4)).toBe(Seasons.Winter);
});

test('expect week 5 to return season spring', () => {
    expect(SeasonService.getSeasonByWeek(5)).toBe(Seasons.Spring);
});

test('expect week 10 to return season summer', () => {
    expect(SeasonService.getSeasonByWeek(10)).toBe(Seasons.Summer);
});

test('expect week 39 to return season autumn', () => {
    expect(SeasonService.getSeasonByWeek(39)).toBe(Seasons.Fall)
});

test('expect week 52 to return season winter', () => {
    expect(SeasonService.getSeasonByWeek(52)).toBe(Seasons.Winter)
});

test('expect week 53 to return season spring', () => {
    expect(SeasonService.getSeasonByWeek(53)).toBe(Seasons.Spring)
});

test('expect week -1 to return season winter', () => {
    expect(SeasonService.getSeasonByWeek(-1)).toBe(Seasons.Winter)
});