### Roadmap

- [x] Planting / harvest crops
  - [x] Info when click on non-ready crop 
  - [ ] Fertilizers
  - [ ] Watering of crops
  - [ ] Quick access on field for crops and later tools
  - [ ] Switch system from field -> crop to crop -> fields
  - [x] Removing planted crops and regaining of removed crop
  - [ ] Revision of crop-assets
- [x] Farm animals
  - [x] Animal products (egg, milk, wool, etc.)
  - [ ] Some way of animal-leveling
  - [ ] Breeding of animals (CF)
- [ ] The Town, a place from where players can access different stores, the casino, the pond and more
- [ ] Crafting
  - [ ] Craft seeds from fruits
  - [ ] Craft flour from wheat
  - [ ] Craft oil from vegetables
- [ ] Cooking system
  - [ ] Crafting meals from vegetables
- [ ] Minigames
  - [ ] Fishing minigame
  - [ ] Mining minigame
- [ ] The Casino
  - [ ] Mini blackjack
  - [ ] Mini slotmachine
- [x] Stores
  - [x] Each store has tabs [buy / sell]
  - [ ] Depending on store-itemtype, sell-price is 100% or 70%
  - [x] Crop-Store
  - [ ] Animal Store
  - [ ] Machine Store (crafting machines)
  - [ ] Different operation hours for each store
  - [ ] Pixel-art counters / storefronts with shopkeepers
    - [ ] purchases and failed purchases (no $) trigger emotion-bubbles on the shopkeepers
    - [ ] text-boxes for greetings
- [x] Inventory system
  - [x] Sorting
  - [x] Grouping
  - [x] Trash items
  - [x] Display item-info
- [x] Way to sell harvested goods
- [ ] Quests
  - [ ] Item-quests
  - [ ] Action-quests
  - [ ] Continuous quest-line through game
  - [ ] Receive quests from shop-keepers
- [ ] Characters
  - [ ] Interactive shopkeepers with personality
- [x] Seasons
  - [ ] Cycling seasons that last one week
  - [ ] Different crops per season
  - [ ] Themes depending on seasons (white grass for winter, etc.)
- [ ] Experience system
  - [ ] Leveling up
  - [ ] Unlocking new field-spots
  - [ ] Unlocking new barn-animals
- [ ] Time-dependent events
  - [ ] Farmers-market-day (crop-price * 1.5)
  - [ ] A day when no crops can be bought
  - [ ] Day-specific discounts on products in stores
- [ ] Random events
- [ ] Decoratives
  - [ ] Maybe a small farm-house to decorate (features from Luna Maps)
  - [ ] Birds that fly over the field randomly
  - [ ] Sound effects
  - [ ] Music (CF)
  - [ ] Decorate-able house with furniture & more 
