import Animals from "@/data/Animals";
import ItemService from "@/services/ItemService";

export default class {
    static getAnimalByID(id) {
        return Animals.find((item) => {
            return item.id === id;
        });
    }

    static getProductFromAnimalID(id) {
        let animal = this.getAnimalByID(id);
        return ItemService.getItemByID(animal.production.item_id);
    }
}